Subject: [MMUSIC] RFC 4566bis - issue 11 - language related issues, plus typos

From: Colin Perkins <[email-masked]>
Date: Mon, 14 Jul 2008 23:58:25 +0100

On 10 Nov 2006, at 00:10, Alfred HÎnes wrote:
> (11)  language related issues, plus typos
>
> The RFC text on pp. 29/30 does not properly distinguish between, and
> messes up, the specifics of session content (and its language[s]) and
> the session *description* content (and the language[s] used therein).
>
> Note: I show more context than absolutely necessary to perform the
> recommended changes, to make these better understandable.
>
> a)
> On mid-page 29, RFC 4566 says:
>
>       a=sdplang:<language tag>
>
>          This can be a session-level attribute or a media-level
>          attribute.  As a session-level attribute, it specifies the
>          language for the session description.  As a media-level
>          attribute, it specifies the language for any media-level SDP
>          information field associated with that media.  Multiple  
> sdplang
>          attributes can be provided either at session or media  
> level if
> |        multiple languages in the session description or media use
> |        multiple languages, in which case the order of the attributes
> |        indicates the order of importance of the various languages in
> |        the session or media from most important to least important.
>
> (The last half-sentence is wrong and inappropriate.)
>
> It should better say:
>
>       a=sdplang:<language tag>
>
>          This can be a session-level attribute or a media-level
>          attribute.  As a session-level attribute, it specifies the
>          language for the session description.  As a media-level
>          attribute, it specifies the language for any media-level SDP
>          information field associated with that media.  Multiple  
> sdplang
>          attributes can be provided either at session or media  
> level if
> |        multiple languages in the session or media description use
> |        multiple languages.

The ability of a media-level "a=sdplang:" attribute to override the  
session level attribute is necessary, but it's not clear what  
multiple "a=sdplang:" attributes at the session level, or at the  
media level, mean, since there's no way to specify which parts of the  
session description are in which language.

> b)
> Skipping one paragraph, the next one says:
>
>          The "sdplang" attribute value must be a single RFC 3066
>          language tag in US-ASCII [9].  It is not dependent on the
>          charset attribute.  An "sdplang" attribute SHOULD be  
> specified
> |        when a session is of sufficient scope to cross geographic
>          boundaries where the language of recipients cannot be  
> assumed,
> |        or where the session is in a different language from the
>          locally assumed norm.
>
> It should say:
>
>          The "sdplang" attribute value must be a single RFC 3066
>          language tag in US-ASCII [9].  It is not dependent on the
>          charset attribute.  An "sdplang" attribute SHOULD be  
> specified
> |        when a session description is of sufficient scope to cross
>          geographic boundaries where the language of recipients cannot
> |        be assumed, or where the session description is in a  
> different
>          language from the locally assumed norm.

Both versions appear incorrect. I propose changing the text to be:

          The "sdplang" attribute value must be a single RFC 3066
          language tag in US-ASCII [9].  It is not dependent on the
          charset attribute.  An "sdplang" attribute SHOULD be specified
          when a session is distributed with sufficient scope to cross
                            ^^^^^^^^^^^^^^^^
          geographic boundaries, where the language of recipients cannot
                               ^
          be assumed, or where the session is in a different language
          from the locally assumed norm.

> c)
> Next, in the explanations for:
>
>       a=lang:<language tag>
>
> extending from page 29 to page 30,
>
>          This can be a session-level attribute or a media-level
>          attribute.  As a session-level attribute, it specifies the
>          default language for the session being described.  As a  
> media-
>          level attribute, it specifies the language for that media,
>   <<page break>>
>          overriding any session-level language specified.  Multiple  
> lang
>          attributes can be provided either at session or media  
> level if
> |        the session description or media use multiple languages, in
>          which case the order of the attributes indicates the order of
>          importance of the various languages in the session or media
>          from most important to least important.
>
> should be corrected to say:
>
>          This can be a session-level attribute or a media-level
>          attribute.  As a session-level attribute, it specifies the
>          default language for the session being described.  As a  
> media-
>          level attribute, it specifies the language for that media,
>   <<page break>>
>          overriding any session-level language specified.  Multiple  
> lang
>          attributes can be provided either at session or media  
> level if
> |        the session or media use multiple languages, in which case  
> the
>          order of the attributes indicates the order of importance of
> |        the various languages in the session or media, from most
>          important to least important.

Seems reasonable.

> Note: In the meantime (since the publication of RFC 4566), RFC 3066
> has been superseded by RFC 4646 plus RFC 4647, now together denoted
> as BCP 47.

Will fix.

-- 
Colin Perkins
http://csperkins.org/

_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic